HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTreasuryOutboundPaymentsIdPost

Contains the different functions to run the operation postTestHelpersTreasuryOutboundPaymentsIdPost

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTreasuryOutboundPaymentsIdPost.hs
valuepostTestHelpersTreasuryOutboundPaymentsIdPost
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> Maybe PostTestHelpersTreasuryOutboundPaymentsIdPostRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTreasuryOutboundPaymentsIdPostResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/treasury/outbound_payments/{id}/post

<p>Transitions a test mode created OutboundPayment to the <code>posted</code> status. The OutboundPayment must already be in the <code>processing</code> state.</p>

Defines the object schema located at paths./v1/test_helpers/treasury/outbound_payments/{id}/post.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTreasuryOutboundPaymentsIdPost.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTreasuryOutboundPaymentsIdPostResponseError is used.

Instances2Eq, Show